using 智慧物流软件系统.ViewModel;
using Ping9719.WpfEx;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using 智慧物流软件系统.Views.Controls;

namespace 智慧物流软件系统
{
    /// <summary>
    /// 主页
    /// </summary>
    public partial class HomeView : UserControlBase
    {
        public static HomeViewModel viewModel = new HomeViewModel();
        public HomeView()
        {
            InitializeComponent();
            this.DataContext = viewModel;
        }
        private void loadFir(object sender, EventArgs e)
        {
            viewModel.wrapPanel = shelfsWrapPanel;
            if (this.IsInDesignMode)
                return;

            viewModel.LoadTask();
        }
        private void vis(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (IsInDesignMode)
                return;

            viewModel.IsThisPageVisible = (bool)e.NewValue;
        }
    }
}
